# class Raven::Logger

### Constants

LOG_PREFIX
PROGNAME

### Public Class Methods

new(*) click to toggle source
Calls superclass method

    # File sentry-raven/lib/raven/logger.rb, line 10
    def initialize(*)
      super
      @level = ::Logger::INFO
      original_formatter = ::Logger::Formatter.new
      @default_formatter = proc do |severity, datetime, _progname, msg|
        msg = "#{LOG_PREFIX}#{msg}"
        original_formatter.call(severity, datetime, PROGNAME, msg)
      end
    end